# ConnectionGraph.h File Reference

Connection graph plugin. This maintains a graph of connections for the entire network, so every peer knows about every other peer. More...

`#include "NativeFeatureIncludes.h"`
`#include "RakMemoryOverride.h"`
`#include "RakNetTypes.h"`
`#include "PluginInterface2.h"`
`#include "DS_List.h"`
`#include "DS_WeightedGraph.h"`
`#include "GetTime.h"`
`#include "Export.h"`

## Classes
class | ConnectionGraph
| A connection graph. Each peer will know about all other peers. More...
struct | ConnectionGraph::SystemAddressAndGroupId
| A node in the connection graph. More...

## Detailed Description

Connection graph plugin. This maintains a graph of connections for the entire network, so every peer knows about every other peer.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.